<template>
    <section id="login">
        <form @submit.prevent="login">
            <h2>Equitrec</h2>
            <div class="info">
                <p>{{message}}</p>
            </div>
            <input type="text" name="mail" v-model="email" placeholder="Mail" />
            <input type="password" name="password" v-model="password" placeholder="Password" />
            <button type="submit">Login</button>
        </form>
    </section>
</template>

<script>
    import axios from "axios";
    import config from "../../js/config.js";

    export default {
        name: 'Login',
        data() {
            return {
                email:"",
                password:"",
                User : {
                    email:"",
                    password:"",
                    nom :"",
                    id:"",
                    id_role:""
                },
                message:"",
            }
        },
        methods: {
            login() {
                axios
                    .post('https://'+config.host+'/checklogin', {
                        email: this.email,
                        password: this.password
                    })
                    .then(response => {
                        if(response.data){
                            console.log(response.data);
                            this.User.id= response.data.id;
                            this.User.email= response.data.email;
                            this.User.nom= response.data.nom;
                            this.User.id_role= response.data.id_role;
                            this.inLS();
                            window.location.href = '/epreuvelist';
                        } else {
                            this.message = 'Mauvais login ou mot de passe';
                        }
                    })
                    .catch(error => {
                        console.log(error);
                    })
            },
            inLS(){
                localStorage.idUser = this.User.id;
                localStorage.emailUser = this.User.email;
                localStorage.nomUser = this.User.nom;
                localStorage.id_roleUser = this.User.id_role;
                console.log(localStorage);
            }
        }
    }
</script>

<style scoped>
    #login {
        background-color: rgba(0, 0, 0, 0.72);
        width:95%;
        min-height:25%;
        display:flex;
        flex-direction:column;
    }

    form{
        display:flex;
        flex-direction:column;
        padding: 15px;
    }

    h2{
        font-family: 'Archivo Black', sans-serif;
        color:#e0dada;
        margin-left:auto;
        margin-right:auto;
    }

    .info{
        width:100%;
        padding: 1em 5px;
        text-align:center;
        min-height:45px;
        display:flex;
        flex-direction:column;
        justify-content:center;
        align-items:center;
    }

    .info.error{
        border:1px solid #a90e0;
        background-color: #ff3c41;
        color:#a90e0;
    }

    .info p{
        color : #be5256;
        margin:auto;
        padding:5px;
    }

    input{
        height:35px;
        padding: 5px 5px;
        margin: 10px 0px;
        background-color:#e0dada;
        border:none;
    }
    button{
        height:40px;
        padding: 5px 5px;
        margin: 10px 0px;
        font-weight:bold;
        background-color:#be5256;
        border:none;
        color:#e0dada;
        cursor:pointer;
        font-size:16px;
    }
    button:hover{
        background-color:#711f1b;
    }
</style>